class: CommandLineTool
cwlVersion: v1.1
id: define_parset
baseCommand:
  - cp
inputs:
  - id: flag_autocorrelation
    type: boolean?
    default: true
outputs:
  - id: output
    type: File
    outputBinding:
      glob: preproc.parset
label: define_parset
arguments:
  - prefix: ''
    shellQuote: false
    position: 0
    valueFrom: input.parset
  - prefix: ''
    shellQuote: false
    position: 0
    valueFrom: preproc.parset
requirements:
  - class: ShellCommandRequirement
  - class: InitialWorkDirRequirement
    listing:
      - entryname: input.parset
        entry: |+
          steps=[flagedge,flagelev,aoflag,flagamp $(inputs.demix? ',demix': '')]
          #
          flagedge.chan=[0..nchan/32-1,31*nchan/32..nchan-1]
          flagedge.type=preflagger
          #
          aoflag.keepstatistics=false
          aoflag.memoryperc=20
          aoflag.type=aoflagger
          aoflag.autocorr=$(inputs.flag_autocorrelation?'True':'False')
          aoflag.strategy=/usr/local/share/aoflagger/strategies/lofar-default.lua
          #

          flagbaseline.type=preflagger
          flagbaseline.baseline=[]
          #
          flagelev.type=preflagger
          flagelev.elevation=0deg..20deg
          #
          flagamp.amplmin=1e-30
          flagamp.type=preflagger
  - class: InlineJavascriptRequirement
